Changeset 547 for trunk


Ignore:
Timestamp:
Nov 21, 2013 2:57:28 PM (5 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
trunk/CoinMP
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • trunk/CoinMP/Makefile.in

    r471 r547  
    168168DEFS = @DEFS@
    169169DEPDIR = @DEPDIR@
     170DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     171DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    170172ECHO = @ECHO@
    171173ECHO_C = @ECHO_C@
  • trunk/CoinMP/configure

    r535 r547  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COINMP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED CBC_LIBS CBC_CFLAGS CBC_DATA CBC_DEPENDENCIES CBC_LIBS_INSTALLED CBC_CFLAGS_INSTALLED CBC_DATA_INSTALLED COINMP_CFLAGS COINMP_LIBS COINMP_PCLIBS COINMP_PCREQUIRES COINMP_DEPENDENCIES COINMP_CFLAGS_INSTALLED COINMP_LIBS_INSTALLED COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COINMP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED CBC_LIBS CBC_CFLAGS CBC_DATA CBC_DEPENDENCIES CBC_LIBS_INSTALLED CBC_CFLAGS_INSTALLED CBC_DATA_INSTALLED COINMP_CFLAGS COINMP_LIBS COINMP_PCLIBS COINMP_PCREQUIRES COINMP_DEPENDENCIES COINMP_CFLAGS_INSTALLED COINMP_LIBS_INSTALLED COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19131913fi;
    19141914
     1915  if test "$enable_msvc" = MD; then
     1916    enable_shared=yes
     1917    enable_msvc=yes
     1918  fi
     1919
    19151920  if test "$enable_msvc" = yes; then
    19161921    case $build in
     
    19351940   fi
    19361941 fi
    1937 
    1938 
    1939 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1940 if test "${enable_static_standardlibs+set}" = set; then
    1941   enableval="$enable_static_standardlibs"
    1942   case "$enableval" in
    1943      no | yes | auto ) ;;
    1944      *)
    1945        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1946 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1947    { (exit 1); exit 1; }; } ;;
    1948    esac
    1949    use_static_standardlibs=$enableval
    1950 else
    1951   use_static_standardlibs=no
    1952 fi;
    1953 
    19541942
    19551943
     
    27952783    fi ;;
    27962784  * )
    2797     CYGPATH_W=echo
     2785    if test x"$CYGPATH_W" = x ; then
     2786      CYGPATH_W=echo
     2787    fi
    27982788    ;;
    27992789esac
     
    30403030    CFLAGS="$OPT_CFLAGS"
    30413031  fi
    3042 
    30433032else
    30443033  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30503039  fi
    30513040fi
    3052 
    3053 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3054 
    3055 case "$CFLAGS" in
    3056   *-mno-cygwin*)
    3057     if test x${CPPFLAGS+set} != xset ; then
    3058       CPPFLAGS="-mno-cygwin"
    3059     else
    3060       case "$CPPFLAGS" in
    3061         *-mno-cygwin*)
    3062           ;;
    3063         *)
    3064           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3065           ;;
    3066       esac
    3067     fi ;;
    3068 esac
    30693041
    30703042# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     
    32083180esac
    32093181
    3210 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3211 if test x$use_static_standardlibs != xno ; then
    3212   case $build in
    3213     *-mingw*)
    3214       static_standardlib_flag=-static
    3215       ;;
    3216     *)
    3217       static_standardlib_flag=-static-libgcc
    3218       ;;
    3219   esac
    3220   case " $LDFLAGS " in
    3221     *" $static_standardlib_flag "* ) ;;
    3222     *)
    3223     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3224 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3225     coin_save_LDFLAGS="$LDFLAGS"
    3226     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3227     cat >conftest.$ac_ext <<_ACEOF
    3228 /* confdefs.h.  */
    3229 _ACEOF
    3230 cat confdefs.h >>conftest.$ac_ext
    3231 cat >>conftest.$ac_ext <<_ACEOF
    3232 /* end confdefs.h.  */
    3233 
    3234 int
    3235 main ()
    3236 {
    3237 int i=0;
    3238   ;
    3239   return 0;
    3240 }
    3241 _ACEOF
    3242 rm -f conftest.$ac_objext conftest$ac_exeext
    3243 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3244   (eval $ac_link) 2>conftest.er1
    3245   ac_status=$?
    3246   grep -v '^ *+' conftest.er1 >conftest.err
    3247   rm -f conftest.er1
    3248   cat conftest.err >&5
    3249   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3250   (exit $ac_status); } &&
    3251          { ac_try='test -z "$ac_c_werror_flag"
    3252                          || test ! -s conftest.err'
    3253   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3254   (eval $ac_try) 2>&5
    3255   ac_status=$?
    3256   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3257   (exit $ac_status); }; } &&
    3258          { ac_try='test -s conftest$ac_exeext'
    3259   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3260   (eval $ac_try) 2>&5
    3261   ac_status=$?
    3262   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3263   (exit $ac_status); }; }; then
    3264   echo "$as_me:$LINENO: result: yes" >&5
    3265 echo "${ECHO_T}yes" >&6
    3266 else
    3267   echo "$as_me: failed program was:" >&5
    3268 sed 's/^/| /' conftest.$ac_ext >&5
    3269 
    3270 echo "$as_me:$LINENO: result: no" >&5
    3271 echo "${ECHO_T}no" >&6
    3272        LDFLAGS="$coin_save_LDFLAGS"
    3273        if test $use_static_standardlibs = yes ; then
    3274          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3275 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3276    { (exit 1); exit 1; }; }
    3277        fi
    3278 
    3279 fi
    3280 rm -f conftest.err conftest.$ac_objext \
    3281       conftest$ac_exeext conftest.$ac_ext
    3282     ;;
    3283   esac
    3284 fi
    3285 
    32863182ac_ext=c
    32873183ac_cpp='$CPP $CPPFLAGS'
     
    32933189
    32943190 #Let's try if that overcomes configuration problem with VC++ 6.0
    3295 
    32963191
    32973192ac_ext=cc
     
    37873682    fi ;;
    37883683  * )
    3789     CYGPATH_W=echo
     3684    if test x"$CYGPATH_W" = x ; then
     3685      CYGPATH_W=echo
     3686    fi
    37903687    ;;
    37913688esac
     
    40363933fi
    40373934
    4038 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    4039 
    4040 case "$CXXFLAGS" in
    4041   *-mno-cygwin*)
    4042     if test x${CPPFLAGS+set} != xset ; then
    4043       CPPFLAGS="-mno-cygwin"
    4044     else
    4045       case "$CPPFLAGS" in
    4046         *-mno-cygwin*)
    4047           ;;
    4048         *)
    4049           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4050           ;;
    4051       esac
    4052     fi ;;
    4053 esac
    4054 
    40553935# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    40563936if test x$COIN_PRJCT != x; then
     
    41934073esac
    41944074
    4195 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4196 if test x$use_static_standardlibs != xno ; then
    4197   case $build in
    4198     *-mingw*)
    4199       static_standardlib_flag=-static
    4200       ;;
    4201     *)
    4202       static_standardlib_flag=-static-libstdc++
    4203       ;;
    4204   esac
    4205   case " $LDFLAGS " in
    4206     *" $static_standardlib_flag "* ) ;;
    4207     *)
    4208     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4209 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4210     coin_save_LDFLAGS="$LDFLAGS"
    4211     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4212     cat >conftest.$ac_ext <<_ACEOF
    4213 /* confdefs.h.  */
    4214 _ACEOF
    4215 cat confdefs.h >>conftest.$ac_ext
    4216 cat >>conftest.$ac_ext <<_ACEOF
    4217 /* end confdefs.h.  */
    4218 
    4219 int
    4220 main ()
    4221 {
    4222 int i=0;
    4223   ;
    4224   return 0;
    4225 }
    4226 _ACEOF
    4227 rm -f conftest.$ac_objext conftest$ac_exeext
    4228 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4229   (eval $ac_link) 2>conftest.er1
    4230   ac_status=$?
    4231   grep -v '^ *+' conftest.er1 >conftest.err
    4232   rm -f conftest.er1
    4233   cat conftest.err >&5
    4234   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4235   (exit $ac_status); } &&
    4236          { ac_try='test -z "$ac_cxx_werror_flag"
    4237                          || test ! -s conftest.err'
    4238   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4239   (eval $ac_try) 2>&5
    4240   ac_status=$?
    4241   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4242   (exit $ac_status); }; } &&
    4243          { ac_try='test -s conftest$ac_exeext'
    4244   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4245   (eval $ac_try) 2>&5
    4246   ac_status=$?
    4247   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4248   (exit $ac_status); }; }; then
    4249   echo "$as_me:$LINENO: result: yes" >&5
    4250 echo "${ECHO_T}yes" >&6
    4251 else
    4252   echo "$as_me: failed program was:" >&5
    4253 sed 's/^/| /' conftest.$ac_ext >&5
    4254 
    4255 echo "$as_me:$LINENO: result: no" >&5
    4256 echo "${ECHO_T}no" >&6
    4257        LDFLAGS="$coin_save_LDFLAGS"
    4258        if test $use_static_standardlibs = yes ; then
    4259          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4260 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4261    { (exit 1); exit 1; }; }
    4262        fi
    4263 
    4264 fi
    4265 rm -f conftest.err conftest.$ac_objext \
    4266       conftest$ac_exeext conftest.$ac_ext
    4267     ;;
    4268   esac
    4269 fi
    4270 
    42714075ac_ext=c
    42724076ac_cpp='$CPP $CPPFLAGS'
     
    43054109            ;;
    43064110          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4307             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    4308 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4111            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     4112echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    43094113            ;;
    43104114          *)
     
    54865290
    54875291LIBTOOL=
    5488 if test -r ../libtool; then
     5292if test -f ../libtool; then
    54895293  coin_config_dir=..
    54905294  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    54915295fi
    54925296if test "x$LIBTOOL" = x; then
    5493   if test -r ../../libtool; then
     5297  if test -f ../../libtool; then
    54945298    coin_config_dir=../..
    54955299    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    60375841*-*-irix6*)
    60385842  # Find out which ABI we are using.
    6039   echo '#line 6039 "configure"' > conftest.$ac_ext
     5843  echo '#line 5843 "configure"' > conftest.$ac_ext
    60405844  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60415845  (eval $ac_compile) 2>&5
     
    71716975
    71726976# Provide some information about the compiler.
    7173 echo "$as_me:7173:" \
     6977echo "$as_me:6977:" \
    71746978     "checking for Fortran 77 compiler version" >&5
    71756979ac_compiler=`set X $ac_compile; echo $2`
     
    82388042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82398043   -e 's:$: $lt_compiler_flag:'`
    8240    (eval echo "\"\$as_me:8240: $lt_compile\"" >&5)
     8044   (eval echo "\"\$as_me:8044: $lt_compile\"" >&5)
    82418045   (eval "$lt_compile" 2>conftest.err)
    82428046   ac_status=$?
    82438047   cat conftest.err >&5
    8244    echo "$as_me:8244: \$? = $ac_status" >&5
     8048   echo "$as_me:8048: \$? = $ac_status" >&5
    82458049   if (exit $ac_status) && test -s "$ac_outfile"; then
    82468050     # The compiler can only warn and ignore the option if not recognized
     
    85068310   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85078311   -e 's:$: $lt_compiler_flag:'`
    8508    (eval echo "\"\$as_me:8508: $lt_compile\"" >&5)
     8312   (eval echo "\"\$as_me:8312: $lt_compile\"" >&5)
    85098313   (eval "$lt_compile" 2>conftest.err)
    85108314   ac_status=$?
    85118315   cat conftest.err >&5
    8512    echo "$as_me:8512: \$? = $ac_status" >&5
     8316   echo "$as_me:8316: \$? = $ac_status" >&5
    85138317   if (exit $ac_status) && test -s "$ac_outfile"; then
    85148318     # The compiler can only warn and ignore the option if not recognized
     
    86108414   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86118415   -e 's:$: $lt_compiler_flag:'`
    8612    (eval echo "\"\$as_me:8612: $lt_compile\"" >&5)
     8416   (eval echo "\"\$as_me:8416: $lt_compile\"" >&5)
    86138417   (eval "$lt_compile" 2>out/conftest.err)
    86148418   ac_status=$?
    86158419   cat out/conftest.err >&5
    8616    echo "$as_me:8616: \$? = $ac_status" >&5
     8420   echo "$as_me:8420: \$? = $ac_status" >&5
    86178421   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86188422   then
     
    1095510759  lt_status=$lt_dlunknown
    1095610760  cat > conftest.$ac_ext <<EOF
    10957 #line 10957 "configure"
     10761#line 10761 "configure"
    1095810762#include "confdefs.h"
    1095910763
     
    1105510859  lt_status=$lt_dlunknown
    1105610860  cat > conftest.$ac_ext <<EOF
    11057 #line 11057 "configure"
     10861#line 10861 "configure"
    1105810862#include "confdefs.h"
    1105910863
     
    1339913203   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1340013204   -e 's:$: $lt_compiler_flag:'`
    13401    (eval echo "\"\$as_me:13401: $lt_compile\"" >&5)
     13205   (eval echo "\"\$as_me:13205: $lt_compile\"" >&5)
    1340213206   (eval "$lt_compile" 2>conftest.err)
    1340313207   ac_status=$?
    1340413208   cat conftest.err >&5
    13405    echo "$as_me:13405: \$? = $ac_status" >&5
     13209   echo "$as_me:13209: \$? = $ac_status" >&5
    1340613210   if (exit $ac_status) && test -s "$ac_outfile"; then
    1340713211     # The compiler can only warn and ignore the option if not recognized
     
    1350313307   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350413308   -e 's:$: $lt_compiler_flag:'`
    13505    (eval echo "\"\$as_me:13505: $lt_compile\"" >&5)
     13309   (eval echo "\"\$as_me:13309: $lt_compile\"" >&5)
    1350613310   (eval "$lt_compile" 2>out/conftest.err)
    1350713311   ac_status=$?
    1350813312   cat out/conftest.err >&5
    13509    echo "$as_me:13509: \$? = $ac_status" >&5
     13313   echo "$as_me:13313: \$? = $ac_status" >&5
    1351013314   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1351113315   then
     
    1507314877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1507414878   -e 's:$: $lt_compiler_flag:'`
    15075    (eval echo "\"\$as_me:15075: $lt_compile\"" >&5)
     14879   (eval echo "\"\$as_me:14879: $lt_compile\"" >&5)
    1507614880   (eval "$lt_compile" 2>conftest.err)
    1507714881   ac_status=$?
    1507814882   cat conftest.err >&5
    15079    echo "$as_me:15079: \$? = $ac_status" >&5
     14883   echo "$as_me:14883: \$? = $ac_status" >&5
    1508014884   if (exit $ac_status) && test -s "$ac_outfile"; then
    1508114885     # The compiler can only warn and ignore the option if not recognized
     
    1517714981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517814982   -e 's:$: $lt_compiler_flag:'`
    15179    (eval echo "\"\$as_me:15179: $lt_compile\"" >&5)
     14983   (eval echo "\"\$as_me:14983: $lt_compile\"" >&5)
    1518014984   (eval "$lt_compile" 2>out/conftest.err)
    1518114985   ac_status=$?
    1518214986   cat out/conftest.err >&5
    15183    echo "$as_me:15183: \$? = $ac_status" >&5
     14987   echo "$as_me:14987: \$? = $ac_status" >&5
    1518414988   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1518514989   then
     
    1738417188   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738517189   -e 's:$: $lt_compiler_flag:'`
    17386    (eval echo "\"\$as_me:17386: $lt_compile\"" >&5)
     17190   (eval echo "\"\$as_me:17190: $lt_compile\"" >&5)
    1738717191   (eval "$lt_compile" 2>conftest.err)
    1738817192   ac_status=$?
    1738917193   cat conftest.err >&5
    17390    echo "$as_me:17390: \$? = $ac_status" >&5
     17194   echo "$as_me:17194: \$? = $ac_status" >&5
    1739117195   if (exit $ac_status) && test -s "$ac_outfile"; then
    1739217196     # The compiler can only warn and ignore the option if not recognized
     
    1765217456   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1765317457   -e 's:$: $lt_compiler_flag:'`
    17654    (eval echo "\"\$as_me:17654: $lt_compile\"" >&5)
     17458   (eval echo "\"\$as_me:17458: $lt_compile\"" >&5)
    1765517459   (eval "$lt_compile" 2>conftest.err)
    1765617460   ac_status=$?
    1765717461   cat conftest.err >&5
    17658    echo "$as_me:17658: \$? = $ac_status" >&5
     17462   echo "$as_me:17462: \$? = $ac_status" >&5
    1765917463   if (exit $ac_status) && test -s "$ac_outfile"; then
    1766017464     # The compiler can only warn and ignore the option if not recognized
     
    1775617560   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775717561   -e 's:$: $lt_compiler_flag:'`
    17758    (eval echo "\"\$as_me:17758: $lt_compile\"" >&5)
     17562   (eval echo "\"\$as_me:17562: $lt_compile\"" >&5)
    1775917563   (eval "$lt_compile" 2>out/conftest.err)
    1776017564   ac_status=$?
    1776117565   cat out/conftest.err >&5
    17762    echo "$as_me:17762: \$? = $ac_status" >&5
     17566   echo "$as_me:17566: \$? = $ac_status" >&5
    1776317567   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1776417568   then
     
    2045520259    # Here we need to check if -m32 is specified.  If so, we need to correct
    2045620260    # sys_lib_search_path_spec
     20261    *-cygwin* | *-mingw*)
     20262       case "$CXX" in
     20263    clang* )
     20264      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     20265      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     20266echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     20267      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20268          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20269          -e 's|libext="lib"|libext="a"|' \
     20270      libtool > conftest.bla
     20271      ;;
     20272    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20273      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20274echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20275      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20276          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20277          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20278          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20279          -e 's%lib /OUT:%lib -OUT:%' \
     20280          -e "s%cygpath -w%$CYGPATH_W%" \
     20281          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20282          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     20283          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20284          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20285          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20286      libtool > conftest.bla
     20287      ;;
     20288    *)
     20289      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20290echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20291      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20292          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20293          -e 's|libext="lib"|libext="a"|' \
     20294      libtool > conftest.bla
     20295      ;;
     20296  esac
     20297  mv conftest.bla libtool
     20298  chmod 755 libtool
     20299
     20300      ;;
    2045720301    *x86_64-*)
    2045820302      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2049420338      ;;
    2049520339    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    20496     *-cygwin* | *-mingw*)
    20497        case "$CXX" in
    20498     clang* )
    20499       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    20500       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    20501 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    20502       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20503           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20504           -e 's|libext="lib"|libext="a"|' \
    20505       libtool > conftest.bla
    20506       ;;
    20507     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20508       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20509 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20510       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20511           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20512           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20513           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20514           -e 's%lib /OUT:%lib -OUT:%' \
    20515           -e "s%cygpath -w%$CYGPATH_W%" \
    20516           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    20517           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    20518           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20519           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20520           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20521       libtool > conftest.bla
    20522       ;;
    20523     *)
    20524       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20525 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20526       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20527           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20528           -e 's|libext="lib"|libext="a"|' \
    20529       libtool > conftest.bla
    20530       ;;
    20531   esac
    20532   mv conftest.bla libtool
    20533   chmod 755 libtool
    20534 
    20535       ;;
    2053620340    *-darwin*)
    2053720341      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2064120445# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2064220446
     20447# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20448if test "${enable_dependency_linking+set}" = set; then
     20449  enableval="$enable_dependency_linking"
     20450  dependency_linking="$enableval"
     20451else
     20452  dependency_linking=no
     20453fi;
     20454
    2064320455# ToDo
    2064420456# For now, don't use the -no-undefined flag, since the Makefiles are
    2064520457# not yet set up that way.  But we need to fix this, when we want
    2064620458# to comile DLLs under Windows.
    20647 LT_LDFLAGS=
     20459if test "$dependency_linking" = yes ;
     20460then
     20461  LT_LDFLAGS="-no-undefined"
     20462else
     20463  LT_LDFLAGS=
     20464fi
     20465
     20466
     20467
     20468if test "$dependency_linking" = yes; then
     20469  DEPENDENCY_LINKING_TRUE=
     20470  DEPENDENCY_LINKING_FALSE='#'
     20471else
     20472  DEPENDENCY_LINKING_TRUE='#'
     20473  DEPENDENCY_LINKING_FALSE=
     20474fi
     20475
    2064820476
    2064920477# Check if we want to set the library version
     
    2083620664  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2083720665  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    20838   if test -e ../coin_subdirs.txt ; then
     20666  if test -f ../coin_subdirs.txt ; then
    2083920667    for i in `cat ../coin_subdirs.txt` ; do
    2084020668      if test -d ../$i ; then
     
    2084720675  fi
    2084820676
    20849   if test -e ../../coin_subdirs.txt ; then
     20677  if test -f ../../coin_subdirs.txt ; then
    2085020678    for i in `cat ../../coin_subdirs.txt` ; do
    2085120679      if test -d ../../$i ; then
     
    2160421432Usually this means the macro was only invoked conditionally." >&5
    2160521433echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     21434Usually this means the macro was only invoked conditionally." >&2;}
     21435   { (exit 1); exit 1; }; }
     21436fi
     21437if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     21438  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     21439Usually this means the macro was only invoked conditionally." >&5
     21440echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2160621441Usually this means the macro was only invoked conditionally." >&2;}
    2160721442   { (exit 1); exit 1; }; }
     
    2226822103s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2226922104s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     22105s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     22106s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2227022107s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2227122108s,@PKG_CONFIG@,$PKG_CONFIG,;t t
  • trunk/CoinMP/src/Makefile.am

    r428 r547  
    2626        CoinCbc.cpp CoinCbc.h \
    2727        CoinMPConfig.h
     28
     29# List all additionally required libraries
     30if DEPENDENCY_LINKING
     31libCoinMP_la_LIBADD = $(COINMP_LIBS)
     32endif
    2833
    2934# This is for libtool (on Windows)
  • trunk/CoinMP/src/Makefile.in

    r471 r547  
    6565libLTLIBRARIES_INSTALL = $(INSTALL)
    6666LTLIBRARIES = $(lib_LTLIBRARIES)
    67 libCoinMP_la_LIBADD =
     67am__DEPENDENCIES_1 =
     68@DEPENDENCY_LINKING_TRUE@libCoinMP_la_DEPENDENCIES =  \
     69@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1)
    6870am_libCoinMP_la_OBJECTS = CoinMP.lo CoinProblem.lo CoinResult.lo \
    6971        CoinSolver.lo CoinOption.lo CoinCbc.lo
     
    151153DEFS = @DEFS@
    152154DEPDIR = @DEPDIR@
     155DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     156DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    153157ECHO = @ECHO@
    154158ECHO_C = @ECHO_C@
     
    274278
    275279
     280# List all additionally required libraries
     281@DEPENDENCY_LINKING_TRUE@libCoinMP_la_LIBADD = $(COINMP_LIBS)
     282
    276283# This is for libtool (on Windows)
    277284libCoinMP_la_LDFLAGS = $(LT_LDFLAGS)
  • trunk/CoinMP/test/Makefile.in

    r471 r547  
    132132DEFS = @DEFS@
    133133DEPDIR = @DEPDIR@
     134DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     135DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    134136ECHO = @ECHO@
    135137ECHO_C = @ECHO_C@
Note: See TracChangeset for help on using the changeset viewer.